com.google.gwt.aria.client

## Enum SelectedValue

- java.lang.Object
- - java.lang.Enum<SelectedValue>
  - - com.google.gwt.aria.client.SelectedValue

All Implemented Interfaces:
  AriaAttributeType, java.io.Serializable, java.lang.Comparable<SelectedValue>

    public enum SelectedValue
    extends java.lang.Enum<SelectedValue>
    implements AriaAttributeType

State enum for 'aria-selected' values.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FALSE`
`TRUE`
`UNDEFINED`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`java.lang.String` `getAriaValue()`
`static SelectedValue` `of(boolean value)` Gets the enum constant corresponding to `value` for the token type SelectedValue.
`static SelectedValue` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SelectedValue[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### TRUE

    public static final SelectedValue TRUE

#### FALSE

    public static final SelectedValue FALSE

#### UNDEFINED

    public static final SelectedValue UNDEFINED

### Method Detail

#### values

    public static SelectedValue[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SelectedValue c : SelectedValue.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SelectedValue valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### of

    public static SelectedValue of(boolean value)

Gets the enum constant corresponding to `value` for the token type SelectedValue.

Parameters:
  `value` - Boolean value for which we want to get the corresponding enum constant.

#### getAriaValue

    public java.lang.String getAriaValue()

Specified by:
  `getAriaValue` in interface `AriaAttributeType`